PipeWire: pw_log Class Reference

PipeWire 0.3.5

Public Member Functions
pw_log Class Reference

## Public Member Functions
#define | pw_log_level_enabled(lev) (pw_log_level >= (lev))
| Check if a loglevel is enabled. More...
SPA_EXPORT void | pw_log_set (struct spa_log *log)
| Set the global log interface. More...
SPA_EXPORT struct spa_log * | pw_log_get (void)
| Get the global log interface. More...
SPA_EXPORT void | pw_log_set_level (enum spa_log_level level)
| Set the global log level. More...
SPA_EXPORT void | pw_log_log (enum spa_log_level level, const char *file, int line, const char *func, const char *fmt,...)
| Log a message. More...
SPA_EXPORT void | pw_log_logv (enum spa_log_level level, const char *file, int line, const char *func, const char *fmt, va_list args)
| Log a message with va_list. More...
#define | pw_log_error(...) pw_log(SPA_LOG_LEVEL_ERROR,__VA_ARGS__)
#define | pw_log_warn(...) pw_log(SPA_LOG_LEVEL_WARN,__VA_ARGS__)
#define | pw_log_info(...) pw_log(SPA_LOG_LEVEL_INFO,__VA_ARGS__)
#define | pw_log_debug(...) pw_log(SPA_LOG_LEVEL_DEBUG,__VA_ARGS__)
#define | pw_log_trace(...) pw_log(SPA_LOG_LEVEL_TRACE,__VA_ARGS__)

## Detailed Description

Logging functions of PipeWire

Logging is performed to stdout and stderr. Trace logging is performed in a lockfree ringbuffer and written out from the main thread as to not block the realtime threads.

## Member Function Documentation

## ◆ pw_log_get()

SPA_EXPORT struct spa_log * pw_log_get | ( | void |  | ) |

Get the global log interface.

Returns
  the global log

## ◆ pw_log_log()

SPA_EXPORT void pw_log_log | ( | enum spa_log_level | level,
|  | const char * | file,
|  | int | line,
|  | const char * | func,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Log a message.

Parameters

  level | the log level
  file | the file this message originated from
  line | the line number
  func | the function
  fmt | the printf style format
  ... | printf style arguments to log

References args, pw_log_level_enabled, and va_start().

## ◆ pw_log_logv()

SPA_EXPORT void pw_log_logv | ( | enum spa_log_level | level,
|  | const char * | file,
|  | int | line,
|  | const char * | func,
|  | const char * | fmt,
|  | va_list | args
| ) |  |

Log a message with va_list.

Parameters

  level | the log level
  file | the file this message originated from
  line | the line number
  func | the function
  fmt | the printf style format
  args | a va_list of arguments

References pw_log_level_enabled.

## ◆ pw_log_set()

SPA_EXPORT void pw_log_set | ( | struct spa_log * | log | ) |

Set the global log interface.

Parameters

  log | the global log to set

## ◆ pw_log_set_level()

SPA_EXPORT void pw_log_set_level | ( | enum spa_log_level | level | ) |

Set the global log level.

Parameters

  level | the new log level

References pw_log_level.

The documentation for this class was generated from the following files:

- log.h
- log.c